org.apache.sling.scripting.groovy.internal

## Class GStringScriptEngineFactory

- java.lang.Object
- - org.apache.sling.scripting.api.AbstractScriptEngineFactory
  - - org.apache.sling.scripting.groovy.internal.GStringScriptEngineFactory

All Implemented Interfaces:
  ScriptEngineFactory

    public class GStringScriptEngineFactory
    extends org.apache.sling.scripting.api.AbstractScriptEngineFactory

### Constructor Summary

Constructors
Constructor and Description
`GStringScriptEngineFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLanguageName()`
`String` `getLanguageVersion()`
`ScriptEngine` `getScriptEngine()`

### Methods inherited from class org.apache.sling.scripting.api.AbstractScriptEngineFactory

`getEngineName, getEngineVersion, getExtensions, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, setEngineName, setEngineVersion, setExtensions, setMimeTypes, setNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GStringScriptEngineFactory

    public GStringScriptEngineFactory()

### Method Detail

#### getLanguageName

    public String getLanguageName()

#### getLanguageVersion

    public String getLanguageVersion()

#### getScriptEngine

    public ScriptEngine getScriptEngine()